package cn.wise.sc.pay.common.mq.client;

import java.util.ArrayList;
import java.util.List;

import cn.wise.sc.pay.common.mq.client.dto.TransactionMessage;
import cn.wise.sc.pay.common.mq.client.query.MessageQuery;
import org.springframework.stereotype.Component;


/**
 * 事务消息服务调用客户端
 *
 * @author yinjihuan
 */
@Component
public class TransactionMqRemoteClientHystrix implements TransactionMqRemoteClient {

    @Override
    public boolean sendMessage(TransactionMessage message) {
        return false;
    }

    @Override
    public boolean sendMessage(List<TransactionMessage> messages) {
        return false;
    }

    @Override
    public boolean confirmCustomerMessage(String customerSystem, Long messageId) {
        return false;
    }

    @Override
    public List<TransactionMessage> findByWatingMessage(int limit) {
        return new ArrayList<TransactionMessage>();
    }

    @Override
    public boolean confirmDieMessage(Long messageId) {
        return false;
    }

    @Override
    public boolean incrSendCount(Long messageId, String sendDate) {
        return false;
    }

    @Override
    public boolean retrySendDieMessage() {
        return false;
    }

    @Override
    public List<TransactionMessage> findMessageByPage(MessageQuery status) {
        return new ArrayList<TransactionMessage>();
    }
}
