package cn.wise.sc.pay.business.goods.mapper;

import cn.wise.sc.pay.business.goods.model.bean.SpcDetailBO;
import cn.wise.sc.pay.business.goods.model.bean.Specification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @description: 商品规格Mapper
 * @author: qh
 * @create: 2019-12-03 11:04
 **/
@Mapper
public interface SpecificationMapper extends BaseMapper<Specification> {
    /**
     * 获取所有规格
     * @param goodsId
     * @return
     */
    List<SpcDetailBO> getSpcAllList(int goodsId);
}
