package cn.wise.sc.pay.business.goods.model;

/**
 * @description: 商品状态
 * @author: qh
 * @create: 2020-01-09 10:55
 **/
public enum GoodsStatus {

    /**
     * 所有
     */
    All(-1),
    /**
     * 已下架
     */
    Unshelve(0),
    /**
     * 售卖中
     */
    Selling(1),
    /**
     * 待审核
     */
    WaitAudit(2),
    /**
     * 审核不通过
     */
    NotAllow(3);


    /**
     * 对应数据库中 字段
     */
    private Integer code;

    GoodsStatus(int code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }}
