package cn.wise.sc.pay.business.goods.model.query;

import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 13:41
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsQuery {


    private long id;
    /**
     * 商品名
     */
    private String name;

    /**
     * 类型
     */
    private String type;

    /**
     * 是否上架 0:下架 1:上架
     */
    private Integer status;

    /**
     * 封面路径
     */
    //@Ignore
    private String cover;

    /**
     * 商家id
     */
    private long sellerId;

    /**
     * 商铺名
     */
    private String shopName;

    /**
     * 价格(对象field1)
     */
    private String price;

    /**
     * 单位(对象field2)
     */
    private String unit;

    /**
     * 有无规格(对象field3)
     */
    private String spc;

    /**
     * 规格
     */
    private List<SpecificationQuery> spcQuery;
}
