package cn.wise.sc.pay.laas.userbac.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;


@Data
public class RoleVO implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 角色id
	 */
	private Integer roleId;

	/**
	 * 角色名称
	 */
	@NotBlank(message = "角色名称 不能为空")
	private String roleName;

	/**
	 * 角色code
	 */
	@NotBlank(message = "角色标识 不能为空")
	private String roleCode;

	/**
	 * 角色描述
	 */
	@NotBlank(message = "角色描述 不能为空")
	private String roleDesc;

	/**
	 * 角色权限id逗号拼接支付串
	 */
	private String menus;
}
