package cn.wise.sc.pay.pass.business.app.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

/**
 * @description: 公共路径配置文件
 * @author: qh
 * @create: 2020-06-24 16:03
 **/
@Data
@RefreshScope
@ConfigurationProperties(prefix = "service")
public class CommonUrlProperties {

    private String baseUrl;

    private String webViewUrl;

    private String rabbitUrl;

    private String imageUrl;

}
