package cn.wise.sc.pay.pass.business.app.config;

import cn.wise.sc.pay.common.security2.userDetail.JwtAppUserDetailsService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.core.userdetails.UserDetailsService;

/**
 * @description: token授权配置
 * @author: qh
 * @create: 2020-04-21 15:19
 **/
@Configuration
public class TokenConfig {

    @Bean
    public UserDetailsService userDetailsService(){
        return new JwtAppUserDetailsService();
    }
}
