package cn.wise.sc.pay.business.association.configure;

import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @description: Swagger的配置文件
 * @author: lqk
 * @create: 2019-11-05 14:45
 **/
@Configuration
@EnableSwagger2
public class SwaggerConfig {
    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("管理中心Api文档")
                .description("管理中心API接口")
                .version("0.01")
                .contact(new Contact("card-pay", "http://www.wisenergy.cn/sc", "service@javashop.cn"))
                .build();
    }
}
