package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.ArticleBanner;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IArticleBannerService extends IService<ArticleBanner> {

    /**
     * 移除图文/文章的推荐
     * @param id
     * @return
     */
    BaseResponse deleteRecommend(Long id);

    /**
     * 推荐图文/文章
     * @param ids
     * @return
     */
    BaseResponse recommend(List<Long> ids);
}
