package cn.wise.sc.pay.domain.association.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleSource extends Model<ArticleSource> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 资源对应文章或评论id
     */
    @TableField("article_id")
    private Long articleId;
    /**
     * 资源存储/访问路径
     */
    private String url;
    /**
     * 同一文章资源排序号
     */
    @TableField("order_num")
    private Integer orderNum;
    /**
     * 0图片，1视频
     */
    @TableField("type")
    private Integer type;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
