package cn.wise.sc.pay.domain.association.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Banner extends Model<Banner> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 分类名
     */
    private String name;
    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 是否归属于人文 0没有，1已添加
     */
    private Integer rwFlag;

    /**
     * 分类图标
     */
    private String icon;
 /**
     * 创建时间
     */
    private Long createTime;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
