package cn.wise.sc.pay.domain.association.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Collection
 * @Author Administrator
 * @Date 2019/12/12
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Concern extends Model<Concern> {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long meId;
    /**
     * 被关注人id
     */
    private Long heId;

    /**
     * 自己的名字
     */
    private String meName;

    /**
     * 自己的头像
     */
    private String meImage;
    /**
     * 被关注人名称
     */
    private String heName;
    /**
     * 被关注人头像
     */
    private String heImage;
    /**
     * 状态 0单方面关注 1互相关注
     */
    private byte status;

    /**
     * 添加到黑名单的时间·
     */
    private Long createTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }
}
