package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopBrand;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopBrandQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IEshopBrandService extends IService<EshopBrand> {

    /**
     * 添加品牌
     * @param eshopBrand
     * @return
     */
    BaseResponse addBrand(EshopBrandQuery eshopBrand);

    /**
     * 更新品牌名称或logo
     * @param eshopBrand
     * @return
     */
    BaseResponse updateBrand(EshopBrandQuery eshopBrand);

    /**
     * 获取品牌分页
     * @param name
     * @param pageNo
     * @param pageSize
     * @return
     */
    BaseResponse brandPage(String name, Integer pageNo, Integer pageSize);
}
