package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-03-24
 */
@Data
public class EshopStore extends Model<EshopStore> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 实际库存
     */
    private Integer realityStore;

    /**
     * 可用库存
     */
    private Integer availableStore;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 最后更新时间
     */
    private Long updateTime;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 是否为规格库存 0:不是 1:是
     */
    private Integer haveSpc;

    /**
     * 规格id,当且仅当haveSpc为1时存在
     */
    private Long spcId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
