package cn.wise.sc.pay.business.exhibition;
import cn.wise.sc.pay.business.exhibition.mapper.EntranceQrcodeMapper;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @author qh
 * @since 2019/11/5 20:23
 */
@EnableDiscoveryClient
@SpringBootApplication
@MapperScan(basePackageClasses = EntranceQrcodeMapper.class)
public class ExhibitionApplication {

    public static void main(String[] args) {

        SpringApplication.run(ExhibitionApplication.class, args);
    }

}
