package cn.wise.sc.pay.business.exhibition.mapper;

import cn.wise.sc.pay.domain.exhibition.bean.Exhibition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
@Mapper
public interface ExhibitionMapper extends BaseMapper<Exhibition> {

    /**
     * 获取想看看人数
     *
     * @param id
     * @return
     */
    Integer selectWantWatch(Integer id);

    /**
     * 想看人数+1
     *
     * @param id
     * @return
     */
    void putWantWatch(Integer id);
}
