package cn.wise.sc.pay.domain.exhibition.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 商品规格信息
 * @author: qh
 * @create: 2019-11-22 15:05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsQuery {

  /** 商品名 */
  private String name;

  /** 数量 */
  private int num;

  /** 商品id */
  private long id;

  /** 是否为预售 1是 0 不是 */
  private Integer status;

  /** 票据类型 */
  private String type;
}
