package cn.wise.sc.pay.domain.exhibition.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
//@Accessors(chain = true)

public class ExhibtCommentListVo implements Serializable {

    /**
     * 评论id
     */
    private Long id;
    /**
     * 文章id
     */
    private Long targetId;

    /**
     * 评论人名称
     */
    private String criticName;
    /**
     * 展览封面url
     */
    private String coverUrl;
    /**
     * 评价
     */
    private String content;
    /**
     * 展览标题
     */
    private String title;
    /**
     * 展览分类
     */
    private String type;
    /**
     * 点赞数
     */
    private Long praiseNum;
    /**
     * 回复数
     */
    private Long replyNum;

    /**
     * 评论时间
     */
    private Long createTime;

}
