package cn.wise.sc.pay.business.merchant.mapper;

import cn.wise.sc.pay.domain.merchant.bean.ProfitAllocation;
import cn.wise.sc.pay.domain.merchant.excelvo.ProfitAllocationVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Mapper
public interface ProfitAllocationMapper extends BaseMapper<ProfitAllocation> {

    /**
     * 分页查询 分润
     * @param page 分页
     * @param merchId 商户id
     * @param payment 支付方式
     * @return
     */
    IPage<List<ProfitAllocationVO>> getMerchProfitPage(Page page, @Param("merchId") Long merchId, @Param("payment") String payment);
}
