package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.domain.merchant.bean.Institution;
import cn.wise.sc.pay.domain.merchant.query.InstitutionQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IInstitutionService extends IService<Institution> {

    /**
     * 添加商户组织机构信息
     * @param query
     * @return
     */
    ResponseEntity insertInstitution(InstitutionQuery query);


    /**
     * 更新商户组织机构信息
     * @param institution
     * @return
     */
    ResponseEntity updateInstitution(Institution institution);
}
