package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.domain.merchant.bean.Label;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface ILabelService extends IService<Label> {


    /**
     * 添加标签
     * @param name
     * @return
     */
    ResponseEntity insertLabel(String name);

    /**
     * 更改标签名称
     * @param label
     * @return
     */
    ResponseEntity updateLabel(Label label);

    /**
     * 删除标签
     * @param id
     * @return
     */
    ResponseEntity deleteById(Long id);
}
