package cn.wise.sc.pay.domain.merchant.query;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商户所属机构信息
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InstitutionQuery extends Model<InstitutionQuery> {

    private static final long serialVersionUID = 1L;

    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 机构代码
     */
    private String instCode;
    /**
     * 机构证件
     */
    private String instCertificate;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
