package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IOrderCommentService;
import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Component;

/**
 * 订单评论断路器
 */

@Component
public class IOrderCommentImpl implements IOrderCommentService {
    @Override
    public BaseResponse addComment(Comment comment) {
        error();
        return null;
    }

    @Override
    public BaseResponse deleteComment(String idStr) {
        error();
        return null;
    }

    @Override
    public BaseResponse updateCommentPraise(Long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse getCommentList(PageQuery pageQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse<Page<Comment>> getCommentsByTargetId(Long targetId, PageQuery pageQuery) {
        error();
        return null;
    }

    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {

        throw new RuntimeException("订单评论服务异常,请检查服务状态!");
    }
}
