package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IOrdersAutoSettingService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrdersAutoSetting;
import org.springframework.stereotype.Component;

/**
 * @description: 订单自动设置熔断
 * @author: qh
 * @create: 2020-03-31 16:22
 **/
@Component
public class IOrdersAutoSettingSerImpl implements IOrdersAutoSettingService {

    @Override
    public BaseResponse getOrderSetting() {
        return BaseResponse.hystrixError("Mr.qin");
    }

    @Override
    public BaseResponse edit(OrdersAutoSetting ordersAutoSetting) {
        return BaseResponse.hystrixError("Mr.qin");
    }
}
