package cn.wise.sc.pay.business.order.model.zh;

import lombok.Builder;
import lombok.Data;

/**
 * @description: 统一下单参数
 * @author: qh
 * @create: 2020-03-30 15:37
 **/
@Data
@Builder
public class PayParamQuery {
    /**
     * 微信支付时需要请求的上下文
     */
    String requestIp;
    /**
     * 统一下单订单号
     */
    String unifiedOrderNo;
    /**
     * 金额 分
     */
    String txnAmt;
    /**
     * 微信/支付宝 账户唯一标识
     */
    String openId;
    /**
     * 支付方式  0:微信  1:支付宝  2：招行 3.云闪付
     */
    Integer payMethod;
    /**
     * 我们平台的订单号
     */
    String orderNo;

    Long sellerId;
}
