package cn.wise.sc.pay.domain.order;

import cn.wise.sc.pay.domain.order.model.OrderStatus;

/**
 * @description: 订单状态工具类
 * @author: qh
 * @create: 2019-12-26 17:28
 **/
public class OrderStatusUtils {

    public static OrderStatus getStatus(int status) {

        OrderStatus orderStatus;
        switch (status) {
            case 0:
                orderStatus = OrderStatus.WAIT_PAY;
                break;
            case 1:
                orderStatus = OrderStatus.CONFIRM;
                break;
            case 2:
                orderStatus = OrderStatus.WAIT_COMMENT;
                break;
            case 3:
                orderStatus = OrderStatus.COMPLETE;
                break;
            case 5:
                orderStatus = OrderStatus.REFUND;
                break;
            case 6:
                orderStatus = OrderStatus.CANCELLED;
                break;
            case 8:
                orderStatus = OrderStatus.ENTRY_ORDER;
                break;
            case 12:
                orderStatus = OrderStatus.WAIT_DELIVERING;
                break;
            case 13:
                orderStatus = OrderStatus.WAIT_RECEIVE;
                break;
            default:
                orderStatus = OrderStatus.ALL;
                break;
        }

        return orderStatus;
    }
}
