package cn.wise.sc.pay.api.points.service;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * feign 接口声明
 */
@FeignClient(value = "saas-v1-points",path = "/memberShip/point",fallback = PointMemberShipImpl.class )
public interface IPointMemberShipService {

    @GetMapping(path = "/{memberId}")
    ResponseEntity selectByMemberId(@PathVariable(value = "memberId") Long memberId);

    @GetMapping(value = "/page")
    ResponseEntity selectPage(@RequestParam("pageNo") Integer pageNo,
                              @RequestParam("pageSize") Integer pageSize);

}
