package cn.wise.sc.pay.business.points.mapper;

import cn.wise.sc.pay.domain.point.bean.GoodRecord;
import cn.wise.sc.pay.domain.point.vo.ExchangeVo;
import cn.wise.sc.pay.domain.point.vo.GoodRecordVo;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 商品兑换记录数据接口
 */
@Mapper
public interface GoodRecordMapper extends BaseMapper<GoodRecord> {

    IPage<GoodRecordVo> pageVirtualGoodRecord(@Param("page") IPage<GoodRecordVo> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    IPage<GoodRecordVo> pageGiftGoodRecord(@Param("page") IPage<GoodRecordVo> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    IPage<ExchangeVo> exchangeVoPage(@Param("page") IPage<ExchangeVo> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    IPage<GoodRecordVo> pageGoodRecordDetail(IPage<GoodRecordVo> page, @Param(Constants.WRAPPER) Wrapper wrapper);

    List<GoodRecordVo> getLatestRecords(@Param(Constants.WRAPPER) Wrapper wrapper);
}
