package cn.wise.sc.pay.business.points.mapper;

import cn.wise.sc.pay.domain.point.bean.VirtualGoods;
import cn.wise.sc.pay.domain.point.vo.VirtualGoodVo;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 虚拟商品实体表数据接口
 */
@Mapper
public interface VirtualGoodsMapper extends BaseMapper<VirtualGoods> {
    /**
     *  条件分页查询测试
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<VirtualGoodVo> getPageCondition(@Param("page") IPage<VirtualGoodVo> page, @Param(Constants.WRAPPER) Wrapper<VirtualGoodVo> queryWrapper);

}
