package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 会员权益
 * @author: qh
 * @create: 2020-01-06 16:32
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_interests")
public class MemberInterests {

    @TableId(type = IdType.AUTO)
    private long id;
    private String cover;
    private String name;
    private String details;
}
