package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-08-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PointPhoto extends Model<PointPhoto> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单号
     */
    @NotNull(message = "订单号不能为空!")
    private String orderNo;

    @NotNull(message = "用户id不能为空!")
    private Long userId;

    @NotNull(message = "照片不能为空!")
    private String cover;

    /**
     * 0待审核 -1不过 1过
     */
    private Integer status;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
