package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@TableName("point_source_member")
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PointSourceMember extends Model<PointSourceMember> {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    private Long pointSourceId;

    private Long memberPointId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
