package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointType extends Model<PointType> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 积分途径
     */
    @TableField("pathway")
    private String pathway;
    /**
     * 具体积分数量
     */
    @TableField("sorce")
    private Double sorce;
    /**
     * 状态 1;启用 0:禁用
     */
    @TableField("status")
    private Integer status;
    /**
     * 是否删除 1:删除 0:未删除
     */
    @TableField("del_flag")
    private Integer delFlag;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private Long createTime;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private Long updateTime;
    /**
     * 配置类型 0:系统级  1:会员级别
     */
    @TableField("type")
    private Integer type;

    /**
     * 会员等级id
     */

    @TableField("membership_id")
    private Long membershipId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
