package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 积分抵扣设置查询对象
 * @author: qh
 * @create: 2019-11-14 10:09
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointConversionQuery implements Serializable {

    private static final long serialVersionUID = 59255457061411021L;

    private Double mustMinPay;

    private Double maxConversion;

    private Double conversionRule;

    private Integer status;

}
