package cn.wise.sc.pay.domain.point.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MemberScoreVo implements Serializable {

    /**
     * 会员等级名称
     */
    @ApiModelProperty(value = "会员等级名称")
    private String memberShipName;

    /**
     * 会员等级id所对应积分
     */
    @ApiModelProperty(value = "会员等级id所对应积分值")
    private Integer memberScore;

    /**
     * 会员等级id
     */
    @ApiModelProperty(value = "会员等级id")
    private Long memberShipId;
}
