package cn.wise.sc.pay.common.mq.client.query;

/**
 **/
public class JMSDetail {

    /**
     * 队列名
     */
    private String queueName;

    /**
     * 路由
     */
    private String routeKey;

    /**
     * 交换机
     */
    private String exchange;

    /**
     * 虚拟主机
     */
    private String virtualHost = "my_vhost";

    /**
     * 交换机类型 默认:直连
     */
    private ExchangType exchangType = ExchangType.DIRECT;

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getRouteKey() {
        return routeKey;
    }

    public void setRouteKey(String routeKey) {
        this.routeKey = routeKey;
    }

    public String getExchange() {
        return exchange;
    }

    public void setExchange(String exchange) {
        this.exchange = exchange;
    }

    public String getVirtualHost() {
        return virtualHost;
    }

    public void setVirtualHost(String virtualHost) {
        this.virtualHost = virtualHost;
    }

    public ExchangType getExchangType() {
        return exchangType;
    }

    public void setExchangType(ExchangType exchangType) {
        this.exchangType = exchangType;
    }

    public enum ExchangType {
        TOPIC, DIRECT, FANOUT, HEADERS
    }
}
