package cn.wise.sc.pay.common.mq.server.util;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;

/**
 * @description: 时间戳工具类
 * @author: qh
 * @create: 2019-12-10 11:17
 **/
public class DateUtils {

    /**
     * string转Date
     * @param sendDate
     * @return
     */
    public static Date str2Date(String sendDate) {
        Date date = new Date(sendDate);
        return date;
    }

    /**
     * Date转LocalDateTime
     *
     * @param date
     * @return
     */
    public static LocalDateTime date2LocalDate(Date date) {

        LocalDateTime dateTime = LocalDateTime.ofInstant(date.toInstant(), ZoneId.systemDefault());

        return dateTime;
    }
}
