package cn.wise.sc.pay.business.goods.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Goods extends Model<Goods> {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品封面
     */
    private String cover;

    /**
     * 商品上下架  0：下架  1:上架 3:待审核 4:审核不过  5:审核通过
     */
    private Integer status;

    /**
     * 商品类型 /分割
     */
    private String type;

    /**
     * 卖家id
     */
    private Long sellerId;

    /**
     * 价格
     */
    private String field1;
    /**
     * 单位 unit
     */
    private String field2;
    /**
     * 是否有规格,0 无，1 是
     */
    private String field3;

    /**
     * 原因
     */
    private String field4;

    /**
     * 店铺名
     */
    private String field5;
    /**
     * 二维码
     */
    private String code;
}
