package cn.wise.sc.pay.business.goods.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 入驻商家 商品类型
 * @author: qh
 * @create: 2019-12-03 10:44
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GoodsType extends Model<GoodsType> {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 类型名
     */
    private String name;

    /**
     * 父级id
     */
    private Long parentId;

    /**
     * 商户id
     */
    private Long sellerId;

    /**
     * 状态
     */
    private short status;
}
