package cn.wise.sc.pay.business.goods.model.vo;

import cn.wise.sc.pay.business.goods.model.bean.GoodsType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 15:16
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsTypeVO implements Serializable {

    private static final long serialVersionUID = -2298316920881323184L;

    private String name;

    private Long parentId;

    private Long id;

    private short status;

    public List<GoodsTypeVO> exhibitionTypeVOS = new ArrayList<>();

    public GoodsTypeVO(GoodsType goodsType){
        this.id = goodsType.getId();
        this.name = goodsType.getName();
        this.parentId = goodsType.getParentId();
        this.status = goodsType.getStatus();
    }
}
