

package cn.wise.sc.pay.laas.userbac.business.mapper;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysDeptRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>

 */
public interface SysDeptRelationMapper extends BaseMapper<SysDeptRelation> {
	/**
	 * 删除部门关系表数据
	 *
	 * @param id 部门ID
	 */
	void deleteDeptRelationsById(@Param("id") Integer id,@Param("prefix")String prefix, @Param("suffix")String suffix);

	/**
	 * 更改部分关系表数据
	 *
	 * @param deptRelation
	 */
	void updateDeptRelations(@Param("deptRelation")SysDeptRelation deptRelation,@Param("prefix")String prefix, @Param("suffix")String suffix);

}
