package cn.wise.sc.pay.laas.userbac.business.service;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysDept;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysDeptRelation;
import com.baomidou.mybatisplus.extension.service.IService;
/**
 * <p>
 * 服务类
 * </p>
 */
public interface DeptRelationService extends IService<SysDeptRelation> {

	/**
	 * 新建部门关系
	 *
	 * @param sysDept 部门
	 */
	void saveDeptRelation(SysDept sysDept);

	/**
	 * 通过ID删除部门关系
	 *
	 * @param id
	 */
	void removeDeptRelationById(Integer id);

	/**
	 * 更新部门关系
	 *
	 * @param relation
	 */
	void updateDeptRelation(SysDeptRelation relation);
}
