package cn.wise.sc.pay.laas.userbac.business.service;


import cn.wise.sc.pay.laas.userbac.domain.entity.SysUserRole;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户角色表 服务类
 * </p>

 */
public interface UserRoleService extends IService<SysUserRole> {

	/**
	 * 根据用户Id删除该用户的角色关系
	 *
	 * @param userId 用户ID
	 * @return boolean
	 * @author 寻欢·李
	 * @date 2017年12月7日 16:31:38
	 */
	Boolean removeRoleByUserId(Integer userId);

	/**
	 * @param userId
	 * @return
	 */
	Boolean removeRoleByAppUserId(Integer userId);
}
