package cn.wise.sc.pay.laas.userbac.domain.vo;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysRole;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class UserVO implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	private Integer userId;
	/**
	 * 用户名
	 */
	private String username;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 随机盐
	 */
	private String salt;

	/**
	 * 微信openid
	 */
	private String wxOpenid;

	/**
	 * ali openid
	 */
	private String aliOpenid;

	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private Date updateTime;
	/**
	 * 0-正常，1-删除
	 */
	private String delFlag;

	/**
	 * 锁定标记
	 */
	private String lockFlag;
	/**
	 * 简介
	 */
	private String phone;
	/**
	 * 头像
	 */
	private String avatar;

	/**
	 * 部门ID
	 */
	private Integer deptId;

	/**
	 * 部门名称
	 */
	private String deptName;
	/**
	 * 商户id
	 */
	private Long merchId;

	/**
	 * 真实名称
	 */
	private String realname;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 描述
	 */
	private String describ;
	/**
	 * 部门名称
	 */
	private String deptname;
	/**
	 * 会员等级
	 */
	private String level;

	/**
	 * 备用字段1
	 */
	private String filed1;
	/**
	 * 备用字段2
	 */
	private String filed2;

	/**
	 * 角色列表
	 */
	private List<SysRole> roleList;
}
