package cn.wise.sc.pay.pass.business.manager.model;


import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * @description: 商品Excel对象
 * @author: qh
 * @create: 2020-07-24 14:15
 **/
@Data
public class GoodExcelModel {
    /**
     * 商品名
     */
    @ExcelProperty("商品名")
    private String name;

    /**
     * 商品类型 /分割
     */
    @ExcelProperty("商品类型")
    private String type;

    /**
     * 价格
     */
    @ExcelProperty("价格")
    private String field1;
    /**
     * 单位 unit
     */
    @ExcelProperty("单位")
    private String field2;
    /**
     * 二维码
     */
    @ExcelProperty("二维码")
    private String code;

    /**
     * 商品状态  待审核
     */
    private Integer status = 3;

    private String sellerId;
}
