package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Topic;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class TopicServiceImpl implements ITopicService {

    @Override
    public BaseResponse<List<Topic>> list() {
        return BaseResponse.ok(null);
    }

    @Override
    public BaseResponse addTopic(Topic topic) {

        return BaseResponse.error("新增话题失败!", this.getClass().getName());
    }

    @Override
    public BaseResponse<Page<Topic>> pageTopic(String name, PageQuery pageQuery) {
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse updateTopicName(Topic topic) {
        return BaseResponse.error("更新话题名称失败!", this.getClass().getName());
    }

    @Override
    public BaseResponse updateTopicOrder(Long tId, Long oId) {

        return BaseResponse.error("更新话题分类排序失败!", this.getClass().getName());
    }

    @Override
    public BaseResponse deleteTopicById(Long id) {
        return BaseResponse.error("删除社群分类失败!", this.getClass().getName());
    }
}
