package cn.wise.sc.pay.domain.association.bean;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleTopic extends Model<ArticleTopic> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 图文id
     */
    @TableField("article_id")
    private Long articleId;
    /**
     * 话题id
     */
    @TableField("topic_id")
    private Long topicId;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
