package cn.wise.sc.pay.business.eshopping.controller;

import cn.wise.sc.pay.business.eshopping.service.IEshopStoreService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopStore;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author qh
 * @since 2020-03-24
 */

@CrossOrigin
@RestController
@RequestMapping("/eshop/EShopStore")
public class EshopStoreController {

    final
    IEshopStoreService iEshopStoreService;

    public EshopStoreController(IEshopStoreService iEshopStoreService) {
        this.iEshopStoreService = iEshopStoreService;
    }

    @PutMapping("/reduce")
    public BaseResponse<EshopStore> reduceStore(Long goodId, Integer quantity, Long skuId) {
        return iEshopStoreService.decreaseStore(goodId, quantity, skuId);
    }
}

