package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.query.OrderDetailQuery;
import org.springframework.stereotype.Component;

/**
 * @description: 展览订单断路器
 * @author: qh
 * @create: 2019-12-30 11:26
 **/
@Component
public class IExhibitionOrderServiceImpl implements IExhibitionOrderService{
    @Override
    public BaseResponse preOrder(OrderDetailQuery orderQuery) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse getOrderStatus(String orderNo) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse getPreOrderNo() {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse prePayOrder(String orderNo) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse payOrderSuccess(String orderNo) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse payOrderFail(String orderNo) {
        return BaseResponse.hystrixError("qh");
    }
}
