package cn.wise.sc.pay.api.merchant.service.hystrix;

import cn.wise.sc.pay.api.merchant.service.IMerchDiscountService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.MerchDiscount;
import org.springframework.stereotype.Component;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-07 11:06
 **/
@Component("merchDiscountImplHy")
public class MerchDiscountImpl implements IMerchDiscountService {

    @Override
    public BaseResponse<MerchDiscount> getMerchDiscountBySeller(Long seller) {
        return BaseResponse.error("获取失败!",this.getClass().getName());
    }

    @Override
    public BaseResponse<Boolean> updateMerchDiscountBySeller(MerchDiscount merchDiscount) {
        return BaseResponse.error("更新失败!",this.getClass().getName());

    }

    @Override
    public BaseResponse<MerchDiscount> addNewMerchDiscount(MerchDiscount merchDiscount) {
        return BaseResponse.error("添加失败!",this.getClass().getName());

    }
}
