package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName BannerImage
 * @Description :导航图
 * @Author lqk
 * @Date 2020/2/6
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BannerImage extends Model<BannerImage> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String imgUrl;

    private Integer typeId;

    private String typeName;

    private String link;

    private String field; //0代表banner图 1代表广告图 3表示网页 4表示视频

    private Long createTime;

    private Long updateTime;
    /**
     * 商户id  收银端广告图需要添加商户id
     */
    private Long merchantId;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
