package cn.wise.sc.pay.domain.merchant.bean;

import java.util.*;

public enum BannerType {

    NULL_CODE(0, "无操作"),
    LINK_URL(1, "链接地址"),
    KEY_WORD(2, "关键字"),
    GOODS_NUM(3, "商品序号"),
    MERCHANT_NUM(4, "商铺序号"),
    GOODS_TYPE(5, "商品分类");

    private int code;

    private String name;

    private BannerType(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    private static List<Map> list;
    public static List<Map> list()
    {
        if (list != null) {
            return list;
        }

        list = new ArrayList<>();
        EnumSet<BannerType> statusSet = EnumSet.allOf(BannerType.class);
        for (BannerType status : statusSet){
            Map map = new HashMap();
            map.put("id", status.code);
            map.put("name", status.name);
            list.add(map);
        }


        return list;
    }
}
