package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-06-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class StoreExtra extends Model<StoreExtra> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 店铺id
     */
    private Long merchantId;

    /**
     * 星级
     */
    private Double star;

    /**
     * 平均消费额度
     */
    private BigDecimal avgExpenditure;

    /**
     * 封面地址
     */
    private String img;

    /**
     * 标签  用/隔开
     */
    private String label;

    /**
     * 距离
     */
    private String distance;

    /**
     * 类型
     */
    private String type;

    /**
     * 营业时间
     */
    private String openTime;

    /**
     * 详情展示的封面图片  多张 用/隔开
     */
    private String detailImgs;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
