package cn.wise.sc.pay.domain.merchant.vo;

import cn.wise.sc.pay.domain.merchant.bean.BannerImage;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 店铺对应广告图
 */
@Data
@Builder
public class MerchantBannersVo implements Serializable {

    private Long id;

    /**
     * 商户名称
     */
    private String merchName;

    /**
     * 经营状态 0正常 1删除
     */
    private byte manageStatus;

    /**
     * 店铺的广告图
     */
    private List<BannerImage> bannerImages;
}
