package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IZHPayMerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.MerchantPayPro;
import org.springframework.stereotype.Component;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-24 12:42
 **/
@Component
public class ZHPayMerServiceImplHystrix implements IZHPayMerService {

    @Override
    public BaseResponse<Boolean> create(MerchantPayPro merchantPayPro) {
        return BaseResponse.error("添加失败!请检查参数!", this.getClass().getName());
    }

    @Override
    public BaseResponse<Boolean> delete(Long id) {
        return BaseResponse.error("删除失败!", this.getClass().getName());
    }

    @Override
    public BaseResponse<MerchantPayPro> getBySeller(Long sellerId) {
        return BaseResponse.error("没找到!",this.getClass().getName());
    }
}
