package cn.wise.sc.pay.business.order.consumer.model;

import lombok.Data;

/**
 * @description:
 * @author: qh
 * @create: 2020-08-06 17:25
 **/
@Data
public class ExhibitionXpenseMq {
    /**
     * 展览标题
     */
    private String title;
    /**
     * 商品id
     */
    private long goodsId;

    /**
     * 商品数目
     */
    private int goodsNum;

    /**
     * 商品价格
     */
    private double price;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 地址
     */
    private String address;

    /**
     * 特殊字段(用于存非公有的属性)
     */
    private Long validity;

    /**
     * 展览封面
     */
    private String cover;
}
