package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.domain.order.model.MerchantPayPro;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-16 14:16
 **/
public interface IMerchantPayProService extends IService<MerchantPayPro> {


    /**
     * 根据sellerId获取配置信息
     * @param sellerId 商户id
     * @return MerchantPayPro
     */
    MerchantPayPro getBySellerId(String sellerId);
}
