package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.XpenseTracker;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
public interface IXpenseTrackerService extends IService<XpenseTracker> {

    /**
     * 创建消费记录
     * @param xpenseTracker 消费记录实体对象
     * @return
     */
    BaseResponse create(XpenseTracker xpenseTracker);

    /**
     * 批量添加
     * @param xpenseTracker
     * @return
     */
    BaseResponse createBatch(List<XpenseTracker> xpenseTracker);
}
