package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.point.bean.CashPointRecord;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * @description: 断路器
 * @author: qh
 * @create: 2020-05-11 16:32
 **/
@Component
public class CashPointRecordServiceImpl implements ICashPointRecordService {
    @Override
    public BaseResponse<CashPointRecord> getPoints(String orderNo, BigDecimal money, Long userId) {
        return BaseResponse.error("熔断!", CashPointRecord.class.getName());
    }

    @Override
    public BaseResponse<String> usePoint(Long id, Long userId) {
        return BaseResponse.hystrixError("qh");
    }
}
