package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.domain.point.query.PointSourceQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "saas-v1-points",path = "/pointSource",fallback = PointSourceServiceImpl.class )
public interface IPointSourceService {

    @PostMapping("/add")
    ResponseEntity add(@RequestBody PointSourceQuery pointSourceQuery);

    @GetMapping("/score")
    Double getScore(Long memberId,String pathway);

}
