package cn.wise.sc.pay.api.points.service;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "saas-v1-points",path = "/pointType",fallback = PointTypeServiceImpl.class)

public interface IPointTypeService {

    @GetMapping("/memberId/pathway")
    ResponseEntity find(@RequestParam Long memberId, @RequestParam String pathway);
}
