package cn.wise.sc.pay.business.points.mapper;

import cn.wise.sc.pay.domain.point.bean.UserExtra;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * @description: 小程序用户额外字段
 * @author: qh
 * @create: 2020-01-06 11:02
 **/
@Mapper
public interface UserExtraMapper extends BaseMapper<UserExtra> {

    /**
     * 根据用户id获取额外扩展信息
     *
     * @param userIds 用户id集合
     * @return
     */
    List<UserExtra> getList(@Param("userIds") List<Long> userIds);

}
