package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.domain.point.bean.PointSource;
import cn.wise.sc.pay.domain.point.query.PointSourceQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 *
 */
public interface IPointSourceService extends IService<PointSource> {

    ResponseEntity add(PointSourceQuery pointSourceQuery);

    ResponseEntity pageKeyWord(Integer pageNo, Integer pageSize, String keyWord);

    ResponseEntity update(PointSourceQuery pointSourceQuery);

    ResponseEntity disable( Long id);

    ResponseEntity deleteOne( Long id);

    Double getScore(Long memberId,String pathway);

    ResponseEntity enable( Long id);
}
