package cn.wise.sc.pay.domain.point.enums;

/**
 * 积分来源设置枚举类
 */
public enum PointSourceEnum {
    ARTICLE("发布文章", 0),
    ONLINE("线上消费", 1),
    SIGN("签到奖励", 2),
    OFFLINE("线下消费", 4),
    PHOTO("拍照积分",5),
    COMMON("优质点评", 3);
    private String code;
    private Integer flag;

    public String getCode() {
        return code;
    }

    public Integer getFlag() {
        return flag;
    }

    private PointSourceEnum(String code, Integer flag) {
        this.flag = flag;
        this.code = code;
    }

}
