package cn.wise.sc.pay.task.timer.order.model;

/**
 * 支付结果查询的交易状态枚举
 */
public enum PayRtsTradeState {

    /**
     * 订单已关闭
     */
    C,
    /**
     * 交易已撤销
     */
    D,
    /**
     * 交易在进行
     */
    P,
    /**
     * 交易失败
     */
    F,
    /**
     * 交易成功
     */
    S,
    /**
     * 转入退款
     */
    R

}
